<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenCV Webcam: /home/e14/Cyprien/Webcam_openCV/src/main.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">OpenCV Webcam
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">main.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains the arguments parser with argp.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="main_8h_source.html">../inc/main.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for main.c:</div>
<div class="dyncontent">
<div class="center"><img src="main_8c__incl.png" border="0" usemap="#_2home_2e14_2Cyprien_2Webcam__openCV_2src_2main_8c" alt=""/></div>
<map name="_2home_2e14_2Cyprien_2Webcam__openCV_2src_2main_8c" id="_2home_2e14_2Cyprien_2Webcam__openCV_2src_2main_8c">
<area shape="rect" id="node2" href="main_8h.html" title="Contains the methods declaration. " alt="" coords="618,95,713,121"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarguments.html">arguments</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>main</b> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a43b7fac93fe2e3638f1e11571883dccb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43b7fac93fe2e3638f1e11571883dccb"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>camera_number</b></td></tr>
<tr class="separator:a43b7fac93fe2e3638f1e11571883dccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b75d2dcd2c2af1b360f940864e570c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b75d2dcd2c2af1b360f940864e570c2"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>SAVE_PATH</b></td></tr>
<tr class="separator:a2b75d2dcd2c2af1b360f940864e570c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f9f37f050543f4719ff2cd2123f3e57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f9f37f050543f4719ff2cd2123f3e57"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>FRAME_PER_SECOND</b> = 24</td></tr>
<tr class="separator:a6f9f37f050543f4719ff2cd2123f3e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f73ea01c816f1996aed4c66f57c4fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62f73ea01c816f1996aed4c66f57c4fb"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>argp_program_version</b> = &quot;Fannoc 1.0&quot;</td></tr>
<tr class="separator:a62f73ea01c816f1996aed4c66f57c4fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa037e59f26a80a8a2e35e6f2364004d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa037e59f26a80a8a2e35e6f2364004d"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>argp_program_bug_address</b> = &quot;&lt;blaoi@tuta.io&gt;&quot;</td></tr>
<tr class="separator:aaa037e59f26a80a8a2e35e6f2364004d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc1fd3a47aea6a8944038c9100eb9135"><td class="memItemLeft" align="right" valign="top">struct argp_option&#160;</td><td class="memItemRight" valign="bottom"><b>options</b> []</td></tr>
<tr class="separator:abc1fd3a47aea6a8944038c9100eb9135"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains the arguments parser with argp. </p>
<dl class="section author"><dt>Author</dt><dd><a href="#" onclick="location.href='mai'+'lto:'+'bla'+'oi'+'@tu'+'ta'+'.io'; return false;">blaoi<span style="display: none;">.nosp@m.</span>@tut<span style="display: none;">.nosp@m.</span>a.io</a> </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>spring 2017 </dd></dl>
</div><h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="abc1fd3a47aea6a8944038c9100eb9135"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct argp_option options[]</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= </div><div class="line">{</div><div class="line">    {<span class="stringliteral">&quot;display&quot;</span>,<span class="charliteral">&#39;d&#39;</span>,0,0,<span class="stringliteral">&quot;Display the camera from the device /dev/videoN, if no number specified the /dev/video0 is used. The &#39;-d0&#39; is equivalent to &#39;-d&#39;.\n&quot;</span>,0},</div><div class="line">    {<span class="stringliteral">&quot;print&quot;</span>,<span class="charliteral">&#39;p&#39;</span>,0,0,<span class="stringliteral">&quot;Print all the available devices for capturing images.&quot;</span>,0},</div><div class="line">    {<span class="stringliteral">&quot;capture&quot;</span>,<span class="charliteral">&#39;c&#39;</span>,<span class="stringliteral">&quot;PATH&quot;</span>,0,<span class="stringliteral">&quot;Capture a single image in the PATH.&quot;</span>,0},</div><div class="line">    {<span class="stringliteral">&quot;captures&quot;</span>,<span class="charliteral">&#39;C&#39;</span>,<span class="stringliteral">&quot;PATH&quot;</span>,0,<span class="stringliteral">&quot;Capture multiple images in the PATH until interruption.&quot;</span>,0},</div><div class="line">    {<span class="stringliteral">&quot;deep-learning-training&quot;</span>,<span class="charliteral">&#39;T&#39;</span>,<span class="stringliteral">&quot;folder&quot;</span>,0,<span class="stringliteral">&quot;Create the training file.&quot;</span>,0},</div><div class="line">    {<span class="stringliteral">&quot;deep-learning-executing&quot;</span>,<span class="charliteral">&#39;E&#39;</span>,<span class="stringliteral">&quot;filename&quot;</span>,0,<span class="stringliteral">&quot;Use the file for actual image recognition.&quot;</span>,0},</div><div class="line">    {0,0,0,0,0,0}</div><div class="line">}</div></div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
